%define with_ssl   1

Name:          wget
Version:       1.16.3
Release:       1mamba
Epoch:         1
Summary:       A utility for retrieving files using the HTTP or FTP protocols
Group:         Applications/Networking
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://ftp.gnu.org/gnu/wget
Source:        http://ftp.gnu.org/gnu/wget/%{name}-%{version}.tar.gz
Patch0:        %{name}-1.8.2-msec.patch
Patch1:        %{name}-1.11.4-passive_ftp.patch
Patch2:        %{name}-1.13-etc.patch
Patch3:        %{name}-1.11.4-logstdout.patch
Patch4:        %{name}-1.9.1-can-2004-1487_1488.patch
Patch5:        %{name}-1.10-ctype.patch
Patch6:        %{name}-1.10.2-CVE-2006-6719.patch
Patch7:        wget-1.16.1-libproxy.patch
License:       GPL
Requires(post): %{__install_info}
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcrypt-devel
BuildRequires: libgmp-devel
BuildRequires: libgnutls-devel
BuildRequires: libgpg-error-devel
BuildRequires: libidn-devel
BuildRequires: libnettle-devel
BuildRequires: libpcre-devel
BuildRequires: libproxy-devel
BuildRequires: libtasn1-devel
BuildRequires: libuuid-devel
BuildRequires: libz-devel
BuildRequires: p11-kit-devel
## AUTOBUILDREQ-END
BuildRequires: gettext-devel
Requires(post):%{__install_info}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
GNU Wget is a file retrieval utility which can use either the HTTP or FTP protocols.
Wget features include the ability to work in the background while you're logged out, recursive retrieval of directories, file name wildcard matching, remote file timestamp storage and comparison, use of Rest with FTP servers and Range with HTTP servers to retrieve files over slow or unstable connections, support for Proxy servers, and configurability.

%prep
%setup -q
#%patch0 -p1 -b .msec
%patch1 -p1 -b .passive_ftp.patch
#%patch2 -p1 -b .etc
#%patch3 -p1 -b .logstdout
#%patch4 -p1 -b .can-2004-1487_1488
#%patch5 -p1 -b .ctype
#%patch6 -p1 -b .cve-2006-6719
%patch7 -p0

%build
autoreconf
%if %with_ssl
%configure --with-ssl
%else
%configure
%endif

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall
#install -m755 util/rmold.pl %{buildroot}%{_bindir}/rmold

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
%install_info %{name}.info

%preun
%uninstall_info %{name}.info
exit 0

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/wget
#%{_bindir}/rmold
%config(noreplace) %{_sysconfdir}/wgetrc
%{_mandir}/man1/*
%{_infodir}/%{name}.info.*
%doc AUTHORS COPYING
#MAILING-LIST NEWS README

%changelog
* Tue Mar 10 2015 Automatic Build System <autodist@mambasoft.it> 1.16.3-1mamba
- automatic version update by autodist

* Tue Mar 03 2015 Automatic Build System <autodist@mambasoft.it> 1.16.2-1mamba
- automatic version update by autodist

* Fri Jan 02 2015 Automatic Build System <autodist@mambasoft.it> 1.16.1-1mamba
- automatic version update by autodist

* Mon Nov 03 2014 Automatic Build System <autodist@mambasoft.it> 1.16-1mamba
- automatic version update by autodist

* Sun Jan 19 2014 Automatic Build System <autodist@mambasoft.it> 1.15-1mamba
- automatic version update by autodist

* Sat Nov 10 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.14-2mamba
- added libproxy support patch (from opensuse)

* Mon Aug 06 2012 Automatic Build System <autodist@mambasoft.it> 1.14-1mamba
- automatic version update by autodist

* Sun Sep 18 2011 Automatic Build System <autodist@mambasoft.it> 1.13.4-1mamba
- automatic version update by autodist

* Wed Aug 31 2011 Automatic Build System <autodist@mambasoft.it> 1.13.3-1mamba
- automatic version update by autodist

* Wed Aug 17 2011 Automatic Build System <autodist@mambasoft.it> 1.13.1-1mamba
- automatic version update by autodist

* Fri Aug 12 2011 Automatic Build System <autodist@mambasoft.it> 1.13-1mamba
- automatic version update by autodist

* Thu Nov 11 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.12-2mamba
- rebuilt with openssl 1.0.0

* Mon Oct 12 2009 Automatic Build System <autodist@mambasoft.it> 1.12-1mamba
- automatic update to 1.12 by autodist

* Fri Sep 19 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.11.4-1mamba
- automatic update to 1.11.4 by autodist

* Tue Nov 13 2007 Aleph0 <aleph0@openmamba.org> 1.10.2-4mamba
- rebuilt

* Thu Mar 22 2007 Davide Madrisan <davide.madrisan@qilinux.it> 1.10.2-3qilnx
- always exit successfully from the %%preun script

* Tue Mar 20 2007 Davide Madrisan <davide.madrisan@qilinux.it> 1.10.2-2qilnx
- security fix against CVE-2006-6719

* Mon Oct 17 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.10.2-1qilnx
- update to version 1.10.2 by autospec
- also fixes the security issue QSA-2005-120 (CAN-2005-3185)

* Thu Oct 06 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.10.1-2qilnx
- removed rmold.pl script

* Mon Aug 22 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.10.1-1qilnx
- update to version 1.10.1 by autospec
- also fixes the security issue CAN-2004-2014
- patches updated

* Fri Jun 10 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.9.1-2qilnx
- security fix against CAN-2004-1487 and CAN-2004-1488
- large file support (LFS patch)
- fixed package group
- install/uninstall info files

* Mon Mar 01 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.9.1-1qilnx
- new version rebuilt

* Thu Jul 17 2003 Silvan Calarco <silvan.calarco@qinet.it> 1.8.2-5qilnx
- added msec patch to allow program continuation when system clock is not monotone

* Tue May 27 2003 Alessandro Ramazzina <alessandro.ramazzina@qinet.it> 1.82-4qilnx
- modified wgetrc file, ftp passive is on now

* Mon May 26 2003 Alessandro Ramazzina <alessandro.ramazzina@qinet.it> 1.82-3qilnx
- added sysconfdir and infodir parameters

* Tue Apr 29 2003 Luca Tinelli <luca.tinelli@qinet.it> 1.82-2qilnx
- changed .bz extension for compress files

* Tue Apr 08 2003 Luca Tinelli <luca.tinelli@qinet.it> 1.82-1qilnx
- first build
